Get a page in a change request by its ID
Retrieves a specific page from a change request's draft content, including its title, metadata, and body document. Use the documentFormat parameter to control the format of the returned document (e.g., markdown). This reflects the draft state of the page, not the live published version — use the space content page endpoint for live content.
A unique entity identifier
^[a-zA-Z0-9_-]+$A unique entity identifier
^[a-zA-Z0-9_-]+$A unique entity identifier
^[a-zA-Z0-9_-]+$Output format for the content.
Controls how content references are formatted in markdown output. Ignored unless format=markdown.
relative: Format page references as relative links from the current page. Other references might not be handled.stable: Format content references as stable idempotent refs containing their identifiers.
relativePossible values: Controls whether the document should be evaluated.
- When set to
true, the entire document will be evaluated. - When set to
deterministic-only, only expressions that depend exclusively on deterministic inputs will be evaluated.
falseControls whether references to other content are resolved and expanded.
- When set to
false, references are preserved, including reusable content includes in Markdown. - When set to
true, all supported content references are expanded. - When set to
reusable-contents, only reusable content references are expanded. When omitted, Markdown responses expand all supported content references, while document responses preserve them.
If false is passed, "git" mutable metadata will not returned. Passing false can optimize performances of the lookup.
trueIf false is passed, content will not be computed
trueOK
GET /v1/spaces/{spaceId}/change-requests/{changeRequestId}/content/page/{pageId} HTTP/1.1
Host: api.gitbook.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"id": "text",
"title": "text",
"linkTitle": "text",
"emoji": "🎉",
"icon": "gear",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"condition": "text",
"markdown": "# Hello World\n\nThis is a markdown document linking to [another page](/pages/page_id).\n",
"type": "document",
"urls": {
"app": "https://example.com"
},
"slug": "text",
"path": "text",
"description": "text",
"tagTitle": "text",
"pages": [
"[Circular Reference]"
],
"git": {
"oid": "text",
"path": "text"
},
"layout": {
"width": "default",
"cover": true,
"coverSize": "hero",
"coverMask": "none",
"title": true,
"description": true,
"tableOfContents": true,
"outline": true,
"pagination": true,
"metadata": true,
"tags": true,
"actions": true,
"anchors": true
},
"cover": {
"ref": {
"kind": "file",
"file": "text",
"space": "text"
},
"refDark": {
"kind": "file",
"file": "text",
"space": "text"
},
"textColor": "black",
"textColorDark": "black",
"yPos": 0,
"height": 240
},
"variables": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"hidden": false,
"noIndex": false,
"noRobotsIndex": false,
"metaLinks": {
"canonical": {
"kind": "page",
"page": "text",
"space": "text"
},
"alternates": [
{
"kind": "page",
"page": "text",
"space": "text"
}
]
},
"tags": [
{
"tag": {
"kind": "tag",
"tag": "text",
"space": "text"
},
"primary": true
}
],
"computed": {
"type": "builtin:openapi",
"dependencies": {
"spec": {
"ref": {
"kind": "openapi",
"spec": "text"
}
}
},
"props": {
"doc": "models"
}
},
"computedSeed": "text"
}Last updated
Was this helpful?